Summary:	An open source re-implementation of Caesar III
Name:		julius
Version:	1.7.0
Release:	1
License:	AGPL v3+
Group:		X11/Applications/Games
Source0:	https://github.com/bvschaik/julius/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c56be0b6e9c7c0e88bfdbd676413b6b3
URL:		https://github.com/bvschaik/julius
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_mixer-devel
BuildRequires:	cmake >= 3.0.2
BuildRequires:	libpng-devel
BuildRequires:	rpmbuild(macros) >= 1.605
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Julius is a fully working open-source version of Caesar 3, with the
same logic as the original, but with some UI enhancements, that can be
played on multiple platforms.

%prep
%setup -q

%{__rm} -r ext/{SDL2,png,zlib}

%build
mkdir -p build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/julius
%{_desktopdir}/com.github.bvschaik.julius.desktop
%{_iconsdir}/hicolor/*x*/apps/com.github.bvschaik.julius.png
%{_datadir}/metainfo/com.github.bvschaik.julius.metainfo.xml
%changelog
* Fri Oct 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/julius.git;a=log;h=master

* Fri Oct 15 2021 Jan Palus <atler@pld-linux.org> 15e15f6
- macros for %cmake

* Fri Oct 15 2021 Jan Palus <atler@pld-linux.org> 2e3eeb0
- up to 1.7.0

* Sun Jan 03 2021 Jan Palus <atler@pld-linux.org> 875c236
- up to 1.6.0

* Sat Nov 28 2020 Jan Palus <atler@pld-linux.org> ab13890
- new (version 1.5.1)

